<style scoped>

.button-group {
    float: right;
}

v-expansion-panel-content {
    height: 15px;
}

</style>

<template>

<v-expansion-panel  class="RuleItem">
    <v-expansion-panel-content  v-for="(item,i) in 3" :key="i">
        <div slot="header">
            <span>
              <v-tooltip right>
                <span slot="activator">
                  {{i}} - Rule #{{i+1}}

                </span>
                <span>
                  This rule is about following the rules.
                  <br/>It's very important. It's true. It's the best.
                </span>
              </v-tooltip>
            </span>
            <span class="button-group">
              <v-btn icon small>
                  <v-icon color="green">check_box</v-icon>
              </v-btn>
              <v-btn icon>
                  <v-icon>add_box</v-icon>
              </v-btn>
              <v-btn icon>
                  <v-icon color="red">cancel</v-icon>
              </v-btn>
            </span>
        </div>

        <RuleItem/>
    </v-expansion-panel-content>
</v-expansion-panel>

</template>

<script>

import RuleItem from './rule-item';

export default {
    name: "RuleSet",
    components: {
        RuleItem
    }

};

</script>
